This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 970051 - “iscsiadm -R” failed rescan session running through the target
Summary: “iscsiadm -R” failed rescan session running through the target
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
(Show other bugs)
Version: 6.4
Hardware: x86_64 Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Chris Leech
QA Contact: Storage QE
URL:
Whiteboard: storage
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-03 11:50 UTC by vvyazmin@redhat.com
Modified: 2017-12-06 11:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 11:00:20 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs rhevm, vdsm (14.38 MB, application/x-gzip)
2013-06-03 12:16 UTC, vvyazmin@redhat.com
no flags Details

Description vvyazmin@redhat.com 2013-06-03 11:50:13 UTC
Description of problem: “iscsiadm -R” failed rescan session running through the target


Version-Release number of selected component (if applicable):
OS: Red Hat Enterprise Linux Server release 6.4 (Santiago)
RPM: iscsi-initiator-utils-6.2.0.873-2.el6.x86_64

How reproducible:
Unknown

Steps to Reproduce:
1. on storage server create target (T = target1) and lun (lun = lun1)
2. from client, perform iscsi login command to target1 (provide iscsi login command)
3. on storage server, create additional lun (lun = lun2) under target1
4. from client (i.e, initiator) perform and iscsi login command to the same target (target1)

Investigation: 
During investigation we found following:
“multipath -ll” command nothing show, or show old connections and not relevant information
“vgs” command nothing show, or show old connections and not relevant information
“iscsiadm -m session -R” not reload a new information about  LUN's
“multipath -r” not reload a new connections 

RPM: iscsi-initiator-utils-6.2.0.873-2.el6.x86_64

Workaround:
1. disconnect from all iSCSI session
* iscsiadm -m session -u
* iscsiadm -m node -o delete
2. manually reconnect again
* iscsiadm -m discoverydb --discover -t st -p 10.35.160.107
* iscsiadm -m node -l -T iqn.1992-04.com.emc:cx.ckm00121000438.a6
* iscsiadm -m node -l -T iqn.1992-04.com.emc:cx.ckm00121000438.a7
* iscsiadm -m node -l -T iqn.1992-04.com.emc:cx.ckm00121000438.b6
* iscsiadm -m node -l -T iqn.1992-04.com.emc:cx.ckm00121000438.b7

Actual results:
client doesn't see new lun in multipath

Expected results:


Additional info:

Comment 1 vvyazmin@redhat.com 2013-06-03 12:16:44 UTC
Created attachment 756280 [details]
## Logs rhevm, vdsm

Comment 2 vvyazmin@redhat.com 2013-06-03 12:34:44 UTC
Thread-212::DEBUG::2013-05-27 13:46:45,077::misc::83::Storage.Misc.excCmd::(<lambda>) '/usr/bin/sudo -n /sbin/iscsiadm -m session -R' (cwd None)

Comment 3 RHEL Product and Program Management 2013-10-14 03:26:24 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 6 Martin Hoyer 2015-10-12 09:25:22 UTC
Is this issue still reproducible?

Comment 7 Aharon Canan 2015-10-12 10:34:58 UTC
Kevin, Please try to reproduce and update.

Comment 8 Kevin Alon Goldblatt 2015-11-10 16:32:12 UTC
(In reply to Aharon Canan from comment #7)
> Kevin, Please try to reproduce and update.

I checked with the following code:
-------------------------------------------
vdsm-4.17.10.1-0.el7ev.noarch
rhevm-3.6.0.3-0.1.el6.noarch

I ran the following scenario:
-------------------------------------------
1. Created a new lun on target
2. From the host ran "multipath -ll" - The newly created LUN is not displayed
3. from the host ran "iscsiadm -m session -R" - Now the newly added LUN is displayed

Comment 9 Martin Hoyer 2015-11-12 15:51:53 UTC
Hi Kevin,
can You try to reproduce it on RHEL? I was unable to do so with RHEL-6.7. Multipath and iscsiadm are displaying the second LUN correctly.
device-mapper-multipath-0.4.9-87.el6
iscsi-initiator-utils-6.2.0.873-14.el6
kernel-2.6.32-573.el6

Comment 10 Aharon Canan 2015-11-12 16:18:59 UTC
(In reply to Martin Hoyer from comment #9)
> Hi Kevin,
> can You try to reproduce it on RHEL? I was unable to do so with RHEL-6.7.
> Multipath and iscsiadm are displaying the second LUN correctly.
> device-mapper-multipath-0.4.9-87.el6
> iscsi-initiator-utils-6.2.0.873-14.el6
> kernel-2.6.32-573.el6

Although we are testing RHEVM, the hypervisor is running on top of RHEL 7.2

In that case we used RHEL only to reproduce (as stated in the reproduction steps).

Comment 11 Martin Hoyer 2015-11-12 16:48:23 UTC
Yes but reproduction steps were made in RHEL-6.4.
According to comment 8 the iscsiadm refresh is working well - bug is open against the iscsi-initiator-utils.
Are you sure that multipath is not displaying the second LUN even after multipath -r ?

Comment 12 Jan Kurik 2017-12-06 11:00:20 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.